/**
 * Preference Model
 *
 *
 * 
 *
 */
import React from 'react';

import Base from '../base/base';

import { ApiUtils } from './../../lib/'


class Preference extends Base {

    constructor() {
        super();

        this.fields = [
            {
                field: 'name',
                caption: 'Name'
            }
        ];

        // this.columns = ;
    }

    get id() {
        return 'preferences';
    }

    get getEndpoint() {
        return 'core-user-preferences';
    }


    get modelName() {
        return `core-user-preferences`;
    }


}

export default Preference;
